package com.ruoyi.learn.mapper;

import java.util.List;

import com.ruoyi.learn.domain.LearnPlanStudy;

/**
 * 学生计划执行情况Mapper接口
 * 
 * @author ruoyi
 * @date 2025-09-25
 */
public interface LearnPlanStudyMapper 
{
    public List<LearnPlanStudy> selectQuestionStats(LearnPlanStudy learnPlanStudy);
    public List<LearnPlanStudy> selectVideoStats(LearnPlanStudy learnPlanStudy);

    /**
     * 查询学生计划执行情况
     * 
     * @param id 学生计划执行情况主键
     * @return 学生计划执行情况
     */
    public LearnPlanStudy selectLearnPlanStudyById(String id);

    public List<LearnPlanStudy> selectLearnPlanStudyListByMonth(LearnPlanStudy learnPlanStudy);
    /**
     * 查询学生计划执行情况列表
     * 
     * @param learnPlanStudy 学生计划执行情况
     * @return 学生计划执行情况集合
     */
    public List<LearnPlanStudy> selectLearnPlanStudyList(LearnPlanStudy learnPlanStudy);

    /**
     * 新增学生计划执行情况
     * 
     * @param learnPlanStudy 学生计划执行情况
     * @return 结果
     */
    public int insertLearnPlanStudy(LearnPlanStudy learnPlanStudy);

    /**
     * 修改学生计划执行情况
     * 
     * @param learnPlanStudy 学生计划执行情况
     * @return 结果
     */
    public int updateLearnPlanStudy(LearnPlanStudy learnPlanStudy);

    /**
     * 删除学生计划执行情况
     * 
     * @param id 学生计划执行情况主键
     * @return 结果
     */
    public int deleteLearnPlanStudyById(String id);

    /**
     * 批量删除学生计划执行情况
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLearnPlanStudyByIds(String[] ids);
}
